Package oasis.names.tc.saml._2_0.assertion

# Class EncryptedElementType

java.lang.Object
oasis.names.tc.saml._2_0.assertion.EncryptedElementType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class EncryptedElementType extends Object implements Serializable

Java class for EncryptedElementType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptedElementType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptedData"/>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptedKey" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptedElementType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EncryptedData`
  `getEncryptedData()`
  Gets the value of the encryptedData property.
  `List<EncryptedKey>`
  `getEncryptedKeies()`
  Gets the value of the encryptedKeies property.
  `void`
  `setEncryptedData(EncryptedData value)`
  Sets the value of the encryptedData property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptedElementType

    public EncryptedElementType()

- ## Method Details

  - ### getEncryptedData

    public EncryptedData getEncryptedData()
    Gets the value of the encryptedData property.
    Returns:
      possible object is `EncryptedData`

  - ### setEncryptedData

    public void setEncryptedData(EncryptedData value)
    Sets the value of the encryptedData property.
    Parameters:
      `value` - allowed object is `EncryptedData`

  - ### getEncryptedKeies

    public List<EncryptedKey> getEncryptedKeies()
    Gets the value of the encryptedKeies property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encryptedKeies property.

    For example, to add a new item, do as follows:

         getEncryptedKeies().add(newItem);

    Objects of the following type(s) are allowed in the list `EncryptedKey`

    Returns:
      The value of the encryptedKeies property.